Control: tags -1 + moreinfo

Martin,

I will do a full review here to tell us where we are.

Preamble...

Thank you for taking the time to prepare this package and your contribution
to the Debian project.

The review below is for assistance. This review is offered to help package
submitters to Debian mentors inorder to improve their packages prior to
possible sponsorship into Debian. There is no obligation on behalf of the
submitter to make any alterations based upon information provided in the
review.

Review...

1. Build:

  * pbuilder [1]: Good
  * sbuild [2]: Good

2. Lintian [3]: Issue

I: bash-unit source: override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
[debian/rules:8]
N: 
N:   The debian/rules file for this package has an override_dh_auto_test
target
N:   that does not appear to check DEB_BUILD_OPTIONS against nocheck.
N:   
N:   As this check is not automatically performed by debhelper(1), the
N:   specified testsuite is run regardless of another maintainer using the
N:   nocheck build option.
N:   
N:   Please add a check such as:
N:   
N:    override_dh_auto_test:
N:    ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
N:            ./run-upstream-testsuite
N:    endif
N:   
N:   Lintian will ignore comments and other lines such as:
N:   
N:    # Disabled
N:    : Disabled
N:    echo "Disabled"
N:    mkdir foo/
N:    ENV=var dh_auto_test -- ARG=value
N:   
N:   This check is not required in Debhelper compat level 13 or greater (see
N:   Bug#568897).
N: 
N:   Please refer to debian/rules and DEB_BUILD_OPTIONS (Section 4.9.1) in
the
N:   Debian Policy Manual and
N:   https://wiki.debian.org/BuildProfileSpec#Registered_profile_names for
N:   details.
N: 
N:   Visibility: info
N:   Show-Always: no
N:   Check: debian/rules

3. Licenses [4]: Issue

philwyett@ks-solo:~/Development/builder/debian/mentoring/bash-unit-2.3.1$ lrc
-t
: Versions: recon 1.14  check 3.3.9-1

Parsing Source Tree  ....
Reading copyright    ....
Running licensecheck ....

d/copyright     | licensecheck

GPL-3           | GPL-3+           bash_unit

4. Watch file [uscan --force-download]: Good

5. Build Twice [sudo pbuilder build --twice <package>.dsc]: Issue

 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
dpkg-genchanges: info: including full source code in upload
dpkg-buildpackage: info: source package bash-unit
dpkg-buildpackage: info: source version 2.3.1-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Martin Dosch <mar...@mdosch.de>
dpkg-buildpackage: info: host architecture amd64
 dpkg-source --before-build .
 debian/rules clean
dh clean
   dh_clean
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building bash-unit using existing ./bash-
unit_2.3.1.orig.tar.gz
dpkg-source: warning: file bash-unit-2.3.1/bash_unit.1 has no final newline
(either original or modified version)
dpkg-source: info: local changes detected, the modified files are:
 bash-unit-2.3.1/bash_unit.1
dpkg-source: info: Hint: make sure the version in debian/changelog matches
the unpacked source tree
dpkg-source: info: you can integrate the local changes with dpkg-source --
commit
dpkg-source: error: aborting due to unexpected upstream changes, see
/tmp/bash-unit_2.3.1-1.diff.2Nfb3n
dpkg-buildpackage: error: dpkg-source -b . subprocess returned exit status 2
I: copying local configuration
E: Failed autobuilding of package
I: unmounting dev/ptmx filesystem
I: unmounting dev/pts filesystem
I: unmounting dev/shm filesystem
I: unmounting proc filesystem
I: unmounting sys filesystem
I: cleaning the build env 
I: removing directory /var/cache/pbuilder/build/79861 and its subdirectories

6. Reproducible builds [5]: Issue

# Running tests in ./tests/test_doc.sh
ok ✓ test_block_01
ok ✓ test_block_02
ok ✓ test_block_03
ok ✓ test_block_04
ok ✓ test_block_05
ok ✓ test_block_06
ok ✓ test_block_07
ok ✓ test_block_08
ok ✓ test_block_09
ok ✓ test_block_10
ok ✓ test_block_11
ok ✓ test_block_12
ok ✓ test_block_13
ok ✓ test_block_14
ok ✓ test_block_15
ok ✓ test_block_16
ok ✓ test_block_17
ok ✓ test_block_18
ok ✓ test_block_19
ok ✓ test_block_20
ok ✓ test_block_21
ok ✓ test_block_22
not ok ✗ test_block_23
# out> --- /tmp/113554/expected_output23        2024-08-04
04:19:43.058185145 +1400
# out> +++ /tmp/113554/test_output23    2024-08-04 04:19:43.058185145 +1400
# out> @@ -1 +1 @@
# out> -environment: line 1: _ps: command not found
# out> +environment: ligne 1: _ps: käsku ei ole
# test_doc.sh:27:test_block_23()
ok ✓ test_block_24
ok ✓ test_block_25
ok ✓ test_block_26
ok ✓ test_block_27
ok ✓ test_block_28
# Running tests in ./tests/test_tap_format
ok ✓ test_assertion_message_is_tap_formatted
ok ✓ test_bash_unit_accepts_tap_format_option
ok ✓ test_bash_unit_rejects_invalid_format
ok ✓ test_multi_lines_assertion_message_is_tap_formatted
ok ✓ test_tap_format_for_failing_test_with_stdout_stderr_outputs
ok ✓ test_tap_format_for_one_failing_test
ok ✓ test_tap_format_for_one_pending_test
ok ✓ test_tap_format_for_one_succesfull_test
make[1]: *** [debian/rules:9 : override_dh_auto_test] Erreur 1
make[1] : on quitte le répertoire
« /tmp/reprotest.gGSsCe/const_build_path/const_build_path »
make: *** [debian/rules:3 : binary] Erreur 2
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status
2
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 862, in
run
    return 0 if check_func(*check_args) else 1
                ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 417, in
check_auto
    if is_reproducible("1", var_x1):
       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 411, in
<lambda>
    is_reproducible = lambda name, var: test_args.check_reproducible(proc,
dist_x0, name, var)
                                       
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 345, in
check_reproducible
    dist_test = proc.send(("experiment-%s" % name, var))
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 339, in
corun_builds
    bctx.run_build(testbed, build, os.environ, artifact_pattern,
testbed_build_pre, no_clean_on_error)
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 218, in
run_build
    testbed.check_exec2(build_argv,
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 63, in
check_exec2
    self.bomb('"%s" failed with status %i' % (' '.join(argv), code),
  File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 70, in
bomb
    raise _type(m)
reprotest.lib.adtlog.AutopkgtestError: "su -p -s /bin/sh root -c set -e;
export
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/i_capture_
the_path; run_build() {
    mkdir -p /tmp/reprotest.gGSsCe/build-experiment-1-aux && \
    mv /tmp/reprotest.gGSsCe/build-experiment-1/
/tmp/reprotest.gGSsCe/const_build_path && \
    SETARCH_ARCH=$(for a in $(setarch --list); do setarch $a true && echo $a
|| true; done) && \
    DROP_ARCH="-v -e ^$(uname -m)\$" && \
    WORDSIZE=64 && \
    if [ $WORDSIZE -eq 64 ]; then     for _ARCH_TO_DROP in armh armv7b armv7l
armv8b armv8l arm athlon i386 i486         i586 i686 linux32 mips32 mips
parisc32         parisc ppc32le ppc32 ppcle ppc s390         sparc32bash
sparc32 sparc;     do         DROP_ARCH="$DROP_ARCH -e ^$_ARCH_TO_DROP\$";  
done; fi && \
    SETARCH_ARCH=$(echo "$SETARCH_ARCH" | grep $DROP_ARCH | shuf -n1) && \
    KERNEL_VERSION=$(uname -r) && \
    if [ ${KERNEL_VERSION#2.6} = $KERNEL_VERSION ]; then SETARCH_OPTS=--
uname-2.6; fi && \
    CPU_MAX=$(nproc) && \
    CPU_MIN=$({ echo $CPU_MAX; echo 1; } | sort -n | head -n1) && \
    CPU_NUM=$(if [ $CPU_MIN = $CPU_MAX ];             then echo $CPU_MIN;
echo >&2 "only 1 CPU is available; num_cpus is ineffective";             else
shuf -i$((CPU_MIN + 1))-$CPU_MAX -n1; fi) && \
    export CPU_LIST="$(echo $(shuf -i0-$((CPU_MAX - 1)) -n$CPU_NUM) | tr ' '
,)" && \
    mv /tmp/reprotest.gGSsCe/const_build_path/
/tmp/reprotest.gGSsCe/const_build_path-before-disorderfs/ && \
    mkdir -p /tmp/reprotest.gGSsCe/const_build_path/ && \
    disorderfs -q --shuffle-dirents=yes
/tmp/reprotest.gGSsCe/const_build_path-before-disorderfs/
/tmp/reprotest.gGSsCe/const_build_path/ && \
    touch /tmp/reprotest.gGSsCe/build-experiment-1-aux/ns-uts && \
    sudo -h localhost unshare --uts=/tmp/reprotest.gGSsCe/build-experiment-1-
aux/ns-uts true && \
    sudo -h localhost nsenter --uts=/tmp/reprotest.gGSsCe/build-experiment-1-
aux/ns-uts hostname reprotest-capture-hostname && \
    sudo -h localhost nsenter --uts=/tmp/reprotest.gGSsCe/build-experiment-1-
aux/ns-uts domainname reprotest-capture-domainname && \
    umask 0002 && \
    export REPROTEST_BUILD_PATH=/tmp/reprotest.gGSsCe/const_build_path/ && \
    export REPROTEST_UMASK=$(umask) && \
    sudo -h localhost -E nsenter --uts=/tmp/reprotest.gGSsCe/build-
experiment-1-aux/ns-uts sudo -h localhost -E -u root -g root env -u
SUDO_COMMAND -u SUDO_GID -u SUDO_UID -u SUDO_USER \
    taskset -a -c $CPU_LIST \
    setarch $SETARCH_ARCH $SETARCH_OPTS \
    sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask
"$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-source -x "bash-unit_2.3.1-
1.dsc" "$(basename "$PWD")" && cd "$(basename "$PWD")" && dpkg-buildpackage -
-no-sign -b'
}

cleanup() {
    __c=0; \
    sudo -h localhost umount /tmp/reprotest.gGSsCe/build-experiment-1-aux/ns-
uts || __c=$?; \
    export PATH="/tmp/reprotest.gGSsCe/bin:$PATH" || __c=$?; \
    fusermount -u /tmp/reprotest.gGSsCe/const_build_path/ || __c=$?; \
    rmdir /tmp/reprotest.gGSsCe/const_build_path/ || __c=$?; \
    mv /tmp/reprotest.gGSsCe/const_build_path-before-disorderfs/
/tmp/reprotest.gGSsCe/const_build_path/ || __c=$?; \
    mv /tmp/reprotest.gGSsCe/const_build_path /tmp/reprotest.gGSsCe/build-
experiment-1/ || __c=$?; \
    rm -rf /tmp/reprotest.gGSsCe/build-experiment-1-aux || __c=$?; \
    exit $__c
}

trap '( cleanup )' HUP INT QUIT ABRT TERM PIPE # FIXME doesn't quite work
reliably yet

if ( run_build ); then ( cleanup ); else
    __x=$?; # save the exit code of run_build
    if ( ! false ); then
        if ( cleanup ); then :; else echo >&2 "cleanup failed with exit code
$?"; fi;
    fi
    exit $__x
fi" failed with status 2

7. Install [No previous installs]: Not performed due to other issues.

8. Upgrade [Over previous installs if any]: N/A

Summary...

I believe bash-unit is not yet ready for sponsorship/upload. Could the
contributor rectify one of more of the rasied issues. Once updated to your
satisfaction and a new upload done, please remove the 'moreinfo' on the
Request For Sponsorship (RFS) bug report.

Regards

Phil

[1] pbuilder:

  * Command: sudo pbuilder build <PACKAGE>.dsc
  * Document: https://wiki.ubuntu.com/PbuilderHowto.
  * Document: https://wiki.debian.org/PbuilderTricks

[2] sbuild:

  * Command: sbuild <PACKAGE>.dsc
  * Document: https://wiki.debian.org/sbuild

[3] lintian:

  * Command: lintian -v -i -I -E --pedantic --profile debian (*.dsc,
*.changes, *.buildinfo). Each can throw up different results, so be thorough.
  * Document: https://wiki.debian.org/Lintian

[4] lrc:

  * Command: lrc -t
  * Document: https://wiki.debian.org/CopyrightReviewTools#licenserecon

[5] reprotest

  * Command: sudo reprotest --vary=-build_path,domain_host.use_sudo=1 --auto-
build <PACKAGE>dsc -- schroot unstable-amd64-sbuild
  * Document: https://wiki.debian.org/ReproducibleBuilds/
  * Document: https://wiki.debian.org/ReproducibleBuilds/Howto#Newer_method

-- 

"I play the game for the game’s own sake"

Arthur Conan Doyle - The Adventure of the Bruce-Partington Plans

--

Buy Me A Coffee: https://buymeacoffee.com/kathenasorg

Internet Relay Chat (IRC): kathenas

Matrix: #kathenas:matrix.org

Website: https://kathenas.org

Instagram: https://instagram.com/kathenasorg/

Threads: https://www.threads.net/@kathenasorg

--






Attachment: signature.asc
Description: This is a digitally signed message part

Reply via email to